import React from "react";
import { StyleSheet, Text, TextInput, View } from "react-native";
const Line = (props) => {
    function onChange(text) {
        props.onChange(text, props.lineNumber);
    }
    function onEnter(event) {
        event.preventDefault();
        props.onEnterPress(props.lineNumber);
    }
    function onKeyPress(event) {
        if (event.nativeEvent.key === "Backspace") {
            props.onBackspace(props.lineNumber);
        }
    }
    return (React.createElement(View, { style: styles.line },
        React.createElement(Text, { style: styles.lineNumber }, props.lineNumber),
        React.createElement(TextInput, { autoFocus: true, multiline: true, onChangeText: onChange, onKeyPress: onKeyPress, onSubmitEditing: onEnter, returnKeyType: "next", spellCheck: false, style: styles.input, textAlignVertical: "top", textContentType: "none", value: props.value })));
};
const styles = StyleSheet.create({
    line: {
        position: "relative",
        top: 0
    },
    lineNumber: {
        left: 10
    },
    input: {
        left: 50,
        position: "absolute",
        right: 0
    }
});
export default Line;
